Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

## Class Constants

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories.Constants

    public class Constants
    extends Object

### Field Summary

Fields
`static String` `COORDINATORS_TABLE_NAME`
`static String` `ENTITY_ADDR_COL`
`static String` `ENTITY_CPU_COL`
`static String` `ENTITY_HEAVY_HITTERS_COL`
`static String` `ENTITY_ID_COL`
`static String` `ENTITY_MEM_COL`
`static String` `ENTITY_NAME_COL`
`static String` `ENTITY_TRAFFIC_COL`
`static String` `ENTITY_WORKER_ID_COL`
`static String` `STATS_TABLE_NAME`
`static String` `WORKERS_TABLE_NAME`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WORKERS_TABLE_NAME

    public static final String WORKERS_TABLE_NAME

See Also:
  Constant Field Values

#### COORDINATORS_TABLE_NAME

    public static final String COORDINATORS_TABLE_NAME

See Also:
  Constant Field Values

#### STATS_TABLE_NAME

    public static final String STATS_TABLE_NAME

See Also:
  Constant Field Values

#### ENTITY_NAME_COL

    public static final String ENTITY_NAME_COL

See Also:
  Constant Field Values

#### ENTITY_ADDR_COL

    public static final String ENTITY_ADDR_COL

See Also:
  Constant Field Values

#### ENTITY_CPU_COL

    public static final String ENTITY_CPU_COL

See Also:
  Constant Field Values

#### ENTITY_MEM_COL

    public static final String ENTITY_MEM_COL

See Also:
  Constant Field Values

#### ENTITY_TRAFFIC_COL

    public static final String ENTITY_TRAFFIC_COL

See Also:
  Constant Field Values

#### ENTITY_HEAVY_HITTERS_COL

    public static final String ENTITY_HEAVY_HITTERS_COL

See Also:
  Constant Field Values

#### ENTITY_ID_COL

    public static final String ENTITY_ID_COL

See Also:
  Constant Field Values

#### ENTITY_WORKER_ID_COL

    public static final String ENTITY_WORKER_ID_COL

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()